import { get } from './get';
import { put } from './put';

export const update = async (
  id: string,
  updater: (doc: any) => any,
  defaultDocument: any,
  db = 'dyomedea_users'
) => {
  const previous = await get(id, db);

  const newDocument = updater(previous || defaultDocument);

  console.log({
    caller: 'update',
    id,
    defaultDocument,
    db,
    previous,
    newDocument,
  });

  return await put(id, newDocument, false, db);
};
